scala.tools.selectivecps.SelectiveANFTransform.ANFTransformer

# RemoveTailReturnsTransformer

#### object RemoveTailReturnsTransformer extends nsc.Global.Transformer

Linear Supertypes
nsc.Global.Transformer, nsc.Global.Transformer, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RemoveTailReturnsTransformer
2. Transformer
3. Transformer
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](owner: nsc.Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     Transformer

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def currentClass: nsc.Global.Symbol

   Attributes
     protected
   Definition Classes
     Transformer

10. #### def currentMethod: nsc.Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

11. #### var currentOwner: nsc.Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### def transform(tree: nsc.Global.Tree): nsc.Global.Tree

    Definition Classes
      RemoveTailReturnsTransformer → Transformer

24. #### def transformCaseDefs(trees: List[nsc.Global.CaseDef]): List[nsc.Global.CaseDef]

    Definition Classes
      Transformer

25. #### def transformIdents(trees: List[nsc.Global.Ident]): List[nsc.Global.Ident]

    Definition Classes
      Transformer

26. #### def transformModifiers(mods: nsc.Global.Modifiers): nsc.Global.Modifiers

    Definition Classes
      Transformer

27. #### def transformStats(stats: List[nsc.Global.Tree], exprOwner: nsc.Global.Symbol): List[nsc.Global.Tree]

    Definition Classes
      Transformer

28. #### def transformTemplate(tree: nsc.Global.Template): nsc.Global.Template

    Definition Classes
      Transformer

29. #### def transformTrees(trees: List[nsc.Global.Tree]): List[nsc.Global.Tree]

    Definition Classes
      Transformer

30. #### def transformTypeDefs(trees: List[nsc.Global.TypeDef]): List[nsc.Global.TypeDef]

    Definition Classes
      Transformer

31. #### def transformUnit(unit: nsc.Global.CompilationUnit): Unit

    Definition Classes
      Transformer

32. #### def transformValDef(tree: nsc.Global.ValDef): nsc.Global.ValDef

    Definition Classes
      Transformer

33. #### def transformValDefs(trees: List[nsc.Global.ValDef]): List[nsc.Global.ValDef]

    Definition Classes
      Transformer

34. #### def transformValDefss(treess: List[List[nsc.Global.ValDef]]): List[List[nsc.Global.ValDef]]

    Definition Classes
      Transformer

35. #### val treeCopy: nsc.Global.TreeCopier

    Definition Classes
      Transformer

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from nsc.Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Ungrouped